## python-pymzml 2.4.7

=== requirements.txt ===
# Installation
numpy
plotly==4.4.1
pynumpress==0.0.5
regex
ms_deisotope==0.0.14

=== docs/requirements.txt ===
sphinx==3.0.3
sphinx_rtd_theme==0.4.3
regex

## python-pymzml 0.7.6-dfsg

=== debian/changelog ===
python-pymzml (0.7.6-dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use python3-sphinx instead of python-sphinx. (Closes: #938078)

 -- Adrian Bunk <bunk@debian.org>  Sun, 02 Feb 2020 00:05:47 +0200

python-pymzml (0.7.6-dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938078
  * add latexmk to b-d-i, fix a FTBFS; Closes: #872242
  * replace b-d-i on texlive-generic-extra with texlive-plain-generic;
    Closes: #933582
  * debian/patches/sphinx-pngmath.patch
    - replace sphinx extension pngmath with imgmath

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Oct 2019 21:27:22 -0400

python-pymzml (0.7.6-dfsg-5) unstable; urgency=low

  * debian/control: update the dependencies latex-xcolor replaced with
    texlive-latex-recommended (bug number-865237 was closed by non-maintainer
    upload by Adrian Bunk <bunk@debian.org> Tue, 18 Jul 2017 19:50:54 +0300.

  * debian/compat: 9 (update dep to debhelper (>=9.20130630)).

  * Standards-Version: 4.0.1 (no changes required).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 15 Sep 2017 14:05:47 +0200

python-pymzml (0.7.6-dfsg-4) unstable; urgency=low

  * debian/control: update the name of the git repository to match the new
    name of the package.
  * debian/control: set secure https protocol also for the vcs-git url.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Sep 2016 10:43:36 +0200

python-pymzml (0.7.6-dfsg-3) unstable; urgency=low

  * Fix problem with debian/control Replaces/Conflicts directives. Now
    python-mzml should be properly removed from the system upon installation
    of this replacing package.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Aug 2016 14:12:31 +0200

python-pymzml (0.7.6-dfsg-2) unstable; urgency=low

  * Fix bug reported by Lucas Nussbaum <lucas@debian.org> about iftex.sty not
    being found (add a texlive dependency to d/control). Closes: #830331.
  * Minor fixes to the debian packaging.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 Jul 2016 16:23:38 +0200

python-pymzml (0.7.6-dfsg-1) unstable; urgency=medium

  * New upstream version that introduces setup.py as a means of building
    and installing the software.
  * d/rules: change build system to include Python3.
  * New patch to remove the shebang line from all the class-defining
    Python files where it is not needed.
  * d/control: rename package names from python-mzml to python-pymzml to
    better stick to the general convention in the Debian archive.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 26 Nov 2015 10:19:46 +0100

python-mzml (0.7.4-dfsg-3) unstable; urgency=medium

  * mv upstream upstream/metadata;
  
  * d/control: Canonicalize the VCS uris;
  
  * d/control: set Standards-Version: 3.9.5
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 20 Aug 2014 14:18:01 +0200

python-mzml (0.7.4-dfsg-2) unstable; urgency=low

  * python-mzml.install: change the usr/lib/python2.[67]/dist-packages
    install directories to the degenerate form
    usr/lib/python2.*/dist-packages/pymzml. The package will still build
    and install fine when 2.6 is removed. Thanks to Dmitry Shachnev
    <mitya57@gmail.com> for suggesting the fix. Closes: #697189.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Jan 2013 20:38:47 +0100

python-mzml (0.7.4-dfsg-1) unstable; urgency=low

  * Initial packaging of the pymzML software with COPYING file shipped for
    the first time within the source code tree after request to
    upstream. Closes: #690177.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 09 Oct 2012 22:38:41 +0200

=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all,
               python3-setuptools,
               debhelper (>=9.20130630),
               dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: doxygen (>= 1.8.1.2), 
                     latexmk, 
                     texlive-plain-generic, 
                     texlive-extra-utils, 
                     texlive-latex-extra, 
                     texlive-latex-recommended,
                     texlive-font-utils, 
                     ghostscript, 
                     texlive-fonts-recommended,
                     python3-sphinx (>= 1.1.3)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 4.0.1 
Homepage: https://pymzml.github.com/
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-pymzml.git
Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pymzml-doc
Conflicts: python-mzml
Replaces: python-mzml
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python-mzml-doc
Replaces: python-mzml-doc
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (process with sphinx).

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = pymzml

TMPDIR="debian/tmp"
DOCDIR="debian/doc"
SRCDIR=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:

	dh_compress -X get_example_file.py -X pymzml.pdf

override_dh_clean:
	dh_clean
	rm -fv debian/source/include-binaries

override_dh_install:
	dh_install
# Remove the symbolic link.
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/pymzml

# Remove all the pyc files.
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/*.pyc

# Remove the license file
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/COPYING.txt

	rm -fv debian/python-pymzml-doc/usr/share/doc/python-pymzml-doc/COPYING.txt

# Make sure we list properly all the binary files that are made during
# the documentation build in debian/source/include-binaries:

	sh debian/list-binary-files.sh

override_dh_auto_build-indep:
	cp -prf Documentation_src Documentation_src-bkp && \
	rm -rf Documentation_src/build/* && \
	cd Documentation_src && \
	make html latexpdf && \
	cd $(SRCDIR) && \
	mkdir -p $(DOCDIR) && \
	rm -rf $(DOCDIR)/* && \
	cp -rpvf Documentation_src/build/html $(DOCDIR) && \
	cp -v Documentation_src/build/latex/pymzml.pdf $(DOCDIR) && \
	rm -rf Documentation_src && \
	mv Documentation_src-bkp Documentation_src

## python-pymzml 2.4.7

=== debian/changelog ===
python-pymzml (2.4.7-3) unstable; urgency=low

  * Fix upgrade testing->sid failure (Closes: #963190). Thanks , Andreas
    Beckmann <anbe@debian.org>, for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 21 Jun 2020 10:36:22 +0200

python-pymzml (2.4.7-2) unstable; urgency=low

  * Fix documentation build problem with svg files around 
    (Closes: #962928). This build failure only shows when using sbuild and not
    gbp buildpackage. Apparently, it only shows when the doc-building process
    fails to access the network.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Jun 2020 09:14:42 +0200

python-pymzml (2.4.7-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 15 Jun 2020 15:34:23 +0200

python-pymzml (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Mar 2019 12:00:48 +0100

python-pymzml (2.0.0-1) unstable; urgency=low

  * Fix FTBFS with Sphinx 1.6: Needs build-dep on latexmk,
  * thanks to Dmitry Shachnev <mitya57@debian.org> and Steve Langasek
    <steve.langasek@canonical.com> for reporting and help.
  * d/control: Standards-Version: 4.3.0
  * d/control: fix Vcs fields.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Mar 2019 11:26:28 +0100

python-pymzml (20170926-1) unstable; urgency=low

  * New upstream release from the git repos (master pymzML branch).

  * Add dependency on latexmk for building the Sphinx-based documentation
    (Closes: #872242: python-pymzml: FTBFS with Sphinx 1.6: Needs build-dep on
    latexmk ; thanks to Dmitry Shachnev <mitya57@debian.org> for reporting
    it).

  * Add dependency on python-sphinx-rtd-theme since that package is no
    longer a hard dependency for python-sphinx.

  * Abandon old patch about removing the shebang line from py files since 
    upstream implemented my suggestion.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 26 Sep 2017 09:54:13 +0200

=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 debhelper (>=9.20130630),
 dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: python3-sphinx-rtd-theme (>= 0.4.3),
 python3-sphinx (>= 1.3.0),
 python3-numpy,
 python3-regex,
 latexmk,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra
Standards-Version: 4.5.0 
Homepage: https://github.com/pymzml/pymzML
Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-nose,
         python3-plotly,
         python3-numpy
Suggests: python-pymzml-doc
Conflicts: python-mzml
Replaces: python-mzml
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python-mzml-doc
Breaks: python3-pymzml (<< 2.4.7)
Replaces: python-mzml-doc, python3-pymzml (<< 2.4.7)
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (process with sphinx).

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = pymzml

TMPDIR="debian/tmp"
DOCDIR="debian/doc"
SRCDIR=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -XpymzML.pdf -X.py -X.idx -X.mzml -X.mzML \
		-Xexample_scripts \
		-Xtests

override_dh_clean:
	dh_clean
	rm -rfv debian/source/include-binaries
	rm -rfv $(DOCDIR)

override_dh_install:
	dh_install
	# Remove the symbolic link.
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/pymzml
	#
	# Remove all the pyc files.
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/*.pyc
	#
	# Remove the license file
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/COPYING.txt
	rm -vf debian/python3-pymzml-doc/usr/share/doc/python-pymzml-doc/COPYING.txt
	#
	# Make sure we list properly all the binary files that are made during
	# the documentation build in debian/source/include-binaries:
	sh debian/list-binary-files.sh
	#
	# Remove the exec bit from all the *.gz files.
	chmod a-x debian/python3-pymzml/usr/lib/python3.*/dist-packages/pymzml/obo/*.gz
	# Same for version.txt
	chmod a-x debian/python3-pymzml/usr/lib/python3.*/dist-packages/pymzml/version.txt

prepare_docs:
	cp -rpf docs docs-bkp && rm -rf docs/build

html_doc: prepare_docs
	cd docs && make html
	# Remove all the calls to external sites.
	sed -i 's/^<a class="reference external image-reference".*//' \
		docs/build/html/intro.html

pdf_doc: prepare_docs
	cd docs && make latex
	# Remove the calls to external sites.
	sed -i 's|\\sphinxhref{https\?://.*||' docs/build/latex/pymzML.tex && \
		cd docs/build/latex && make

override_dh_auto_build-indep: html_doc pdf_doc
	cd $(SRCDIR) && \
	mkdir -p $(DOCDIR) && \
	rm -rf $(DOCDIR)/* && \
	cp -rpfv docs/build/html $(DOCDIR) && \
	cp -v docs/build/latex/pymzML.pdf $(DOCDIR) && \
	rm -rf docs && \
	mv docs-bkp docs

=== debian/watch ===
version=4

opts="repack, \
			repacksuffix=+dfsg, \
			compression=gzip, \
			dversionmangle=s/\+dfsg\d*$//, \
			filenamemangle=s/\S+\/v([\d\.]*)\.tar\.gz/isospec-$1\.tar\.gz/" \
			https://github.com/pymzml/pymzML/releases/ \
			/pymzml/pymzML/archive/v([\d\.]*)\.tar\.gz \
			debian \
			uupdate
# Web page
#https://github.com/pymzml/pymzML

# The link to the source tarball as when clicking (see below)
#https://github.com/pymzml/pymzML/archive/v2.4.0.tar.gz

# The http href code that links to the source tarball in the Web page above
#<a href="/pymzml/pymzML/archive/v2.4.0.tar.gz" rel="nofollow" class="d-flex flex-items-center">

## python-pymzml 2.5.2+repack1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#
AUTO_GEN1 = /usr/bin/env python3 parse_example_scripts.py
# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = $(AUTO_GEN1);sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/test.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/test"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== docs/requirements.txt ===
sphinx==5.0.2
sphinx_rtd_theme==0.5.0
regex

=== debian/changelog ===
python-pymzml (2.5.2+repack1-1) unstable; urgency=low

  * New upstream version.

  * Add tex-gyre doc build-deps for
    /usr/share/texmf/tex/latex/tex-gyre/tgtermes.sty.

  * Add imagemagick-6-common as build-deps for mapping the missing
    n019003l.pfb font required by pdflatex to build the doc to the
    /usr/share/fonts/X11/Type1/NimbusSans-Regular.pfb file. That fixes the
    problem.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jan 2023 21:35:08 +0100

=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 13),
 dpkg-dev (>= 1.20),
 dh-python,
 python3,
 python3-all,
 python3-setuptools
Build-Depends-Indep: python3-sphinx-rtd-theme (>= 0.4.3),
 python3-sphinx (>= 3.4.3),
 python3-numpy,
 python3-regex,
 latexmk,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra,
 tex-gyre,
 fonts-urw-base35,
 imagemagick-6-common,
Standards-Version: 4.6.1 
Homepage: https://github.com/pymzml/pymzML
Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-nose,
         python3-plotly,
         python3-numpy
Suggests: python-pymzml-doc
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         fonts-urw-base35,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (processed with sphinx).

=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,9 @@
 pdf_doc: prepare_docs
 	cd docs && make latex
 	# Remove the calls to external sites.
-	sed -i 's|\\sphinxhref{https\?://.*||' docs/build/latex/pymzML.tex && \
-		cd docs/build/latex && make
+	sed -i 's|\\sphinxhref{https\?://.*||' docs/build/latex/pymzML.tex
+	# Finally, make the pdf documentation.		
+	cd docs/build/latex && make
 
 override_dh_auto_build-indep: html_doc pdf_doc
 	cd $(SRCDIR) && \

## python-pymzml 2.5.10%2Brepack1

=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.20),
 dh-sequence-python3,
 python3,
 quilt,
 python3-all,
 python3-setuptools,
 python3-sphinx-rtd-theme (>= 0.4.3),
 python3-sphinx (>= 3.4.3),
 python3-numpy,
 python3-regex,
 python3-coverage,
 python3-pytest,
 python3-numpydoc,
 python3-plotly,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/pymzml/pymzML
Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-plotly,
         python3-numpy
Suggests: python-pymzml-doc
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         fonts-urw-base35,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (processed with sphinx).

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=pymzml
export PYBUILD_SYSTEM=distutils

TMPDIR="debian/tmp"

%:
	dh $@ --with python3 --buildsystem=pybuild --with sphinxdoc

override_dh_compress:
	dh_compress -X.py -X.idx -X.mzml -X.mzML \
		-Xexample_scripts \
		-Xtests

override_dh_clean:
	dh_quilt_unpatch
	dh_clean
	rm -rfv debian/source/include-binaries
	rm -rfv docs-for-build

configure_docs:
	rm -rfv docs-for-build
	cp -rpfv docs docs-for-build

override_dh_auto_configure: configure_docs
	dh_quilt_patch
	dh_auto_configure -O--buildsystem=pybuild -O--system=distutils --sourcedirectory=./

override_dh_auto_build:
	dh_auto_build
	cd docs-for-build && make html

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	#
	# Move the test.dat.igzip file erroneously installed to dist-packages/.
	mv debian/python3-pymzml/usr/lib/python3.13/dist-packages/test.dat.igzip \
		debian/python3-pymzml/usr/lib/python3.13/dist-packages/pymzml

## python-pymzml 2.5.10+repack1

=== requirements.txt ===
# Installation
numpy
plotly==4.12.0
pynumpress==0.0.5
regex
ms_deisotope==0.0.14

=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
regex
numpydoc==1.7.0

=== debian/changelog ===
python-pymzml (2.5.10+repack1-1) unstable; urgency=medium

  * New upstream version.
  * Packaging builds on welcome work by Alexandre Detiste <tchet@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Jul 2024 22:36:24 +0200

python-pymzml (2.5.2+repack1-2) unstable; urgency=medium

  * Team Upload
  * Drop extraneous dependency on python3-nose (Closes: #1070291)
  * Set "Rules-Requires-Root: no"
  * Use new dh-sequence-python3
  * Add watch file

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 20:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dpkg-dev (>= 1.20),
  dh-sequence-python3,
  python3,
- quilt,
  python3-all,
  python3-setuptools,
  python3-sphinx-rtd-theme (>= 0.4.3),
@@ -19,7 +18,7 @@
  python3-numpydoc,
  python3-plotly,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Homepage: https://github.com/pymzml/pymzML
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
 Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=pymzml
export PYBUILD_SYSTEM=distutils

TMPDIR="debian/tmp"
DOCDIR="debian/doc"
SRCDIR=$(CURDIR)
PYTHON_VERSION="$(shell python3 --version | sed 's/.*\(3\.[^\.\d]*\).*$/\1/g')"; \
echo $(PYTHON_VERSION)
python_version_full := $(wordlist 2,4,$(subst ., ,$(shell python3 --version 2>&1)))
python_version_major := $(word 1,${python_version_full})
python_version_minor := $(word 2,${python_version_full})
VERSION_OF_PYTHON := ${python_version_major}.${python_version_minor}


%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_compress:
	dh_compress -X.py -X.idx -X.mzml -X.mzML \
		-Xexample_scripts \
		-Xtests

override_dh_clean:
	dh_clean
	rm -rfv debian/source/include-binaries
	rm -rfv $(DOCDIR)

override_dh_install:
	dh_install
	# Remove the symbolic link.
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/pymzml
	#
	# Remove all the pyc files.
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/*.pyc
	#
	# Remove the license file
	rm -vf debian/python3-pymzml/usr/share/doc/python3-pymzml/COPYING.txt
	rm -vf debian/python3-pymzml-doc/usr/share/doc/python-pymzml-doc/COPYING.txt
	#
	# Make sure we list properly all the binary files that are made during
	# the documentation build in debian/source/include-binaries:
	sh debian/list-binary-files.sh
	#
	# Remove the exec bit from all the *.gz files.
	chmod a-x debian/python3-pymzml/usr/lib/python3.*/dist-packages/pymzml/obo/*.gz
	# Same for version.txt
	chmod a-x debian/python3-pymzml/usr/lib/python3.*/dist-packages/pymzml/version.txt
	#
	# Move the test.dat.igzip file erroneously installed to dist-packages/.
	mv debian/python3-pymzml/usr/lib/python$(VERSION_OF_PYTHON)/dist-packages/test.dat.igzip debian/python3-pymzml/usr/lib/python$(VERSION_OF_PYTHON)/dist-packages/pymzml

prepare_docs:
	rm -rfv docs-for-build
	cp -rpfv docs docs-for-build

# No more pdf_doc because that is too painful.

html_doc: prepare_docs
	cd docs-for-build && make html

override_dh_auto_build-indep: html_doc
	cd $(SRCDIR) && \
	mkdir -p $(DOCDIR) && \
	rm -rfv $(DOCDIR)/* && \
	cp -rpfv docs-for-build/build/html $(DOCDIR) && \
	rm -rfv docs-for-build

RUN_TESTS_COMMAND = PYTHONPATH=$(SRCDIR) pybuild --test --test-pytest -i python{version} -p 3.12

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	RUN_TESTS = $(RUN_TESTS_COMMAND)
else
	RUN_TESTS = echo "Not running the tests"
endif

override_dh_auto_test:
	$(RUN_TESTS)

=== debian/watch ===
version=4
https://github.com/pymzml/pymzML/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
